> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Donor View Entity Message

> Allows a donor to send a message to an entity.



## OpenAPI

````yaml post /frontend/donor/dashboard/entity/compose_message/{client_id}/{program_id}/{entity_id}/{parent_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/donor/dashboard/entity/compose_message/{client_id}/{program_id}/{entity_id}/{parent_id}/{session_id}:
    post:
      tags:
        - Frontend Donor
      summary: Post Donor View Entity Message
      description: Allows a donor to send a message to an entity.
      operationId: postDonorViewEntity
      parameters:
        - name: client_id
          in: path
          description: Client ID associated with the donor
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: Program ID associated with the donor
          required: true
          schema:
            type: integer
        - name: entity_id
          in: path
          description: Entity ID for which the message is intended
          required: true
          schema:
            type: integer
        - name: parent_id
          in: path
          description: Parent ID for the message thread
          required: true
          schema:
            type: string
            example: 1 or undefined
        - name: session_id
          in: path
          description: Session ID for the donor
          required: true
          schema:
            type: string
      requestBody:
        description: Message data from donor
        required: true
        content:
          application/json:
            schema:
              required:
                - message
              properties:
                subject:
                  type: string
                  example: Subject of Message
                message:
                  type: string
                  example: Message content
              type: object
      responses:
        '200':
          description: Message sent successfully
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  redirect:
                    type: string
                type: object
        '401':
          description: Unauthorized access or invalid session
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  status:
                    type: string
                    example: error
                type: object
      security:
        - sessionIdAuth: []
components:
  securitySchemes:
    sessionIdAuth:
      type: apiKey
      description: Use a session id to authenticate
      name: session_id
      in: header

````